<?php
  session_start();
  //error_reporting(E_ALL);
  error_reporting(0);
  ob_start();
	
  define('__ROOT__', dirname(dirname(__FILE__))); 
 // require_once(__ROOT__.'\siga\html\ClsGeneradorHtml.class.php'); 
 // require_once(__ROOT__.'\siga\Connections\dbms.class.php');
 // require_once(__ROOT__.'\siga\Connections\dbmy.class.php');

   require_once('html/ClsGeneradorHtml.class.php'); 
   require_once('Connections/dbms.class.php');
   require_once('Connections/dbmy.class.php');
	
	extract ($_POST); ///EXTRAE VARIABLES DE POST A VARIABLES SIMPLES CON EL MISMO NOMBRE
	extract ($_GET);

	function celda($letrai,$posi,$letraf,$posf,$valor,$hojaActiva,$tamano,$negrita){
			$hojaActiva->mergeCells($letrai.$posi.':'.$letraf.$posf);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setWrapText(true);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getBorders()->getOutline()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
			$hojaActiva->setCellValue($letrai.$posi,utf8_decode($valor));
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getFont()->setBold($negrita)->setSize($tamano);

																
	}
	function celda1($letrai,$posi,$letraf,$posf,$valor,$hojaActiva,$tamano,$negrita){
			$hojaActiva->mergeCells($letrai.$posi.':'.$letraf.$posf);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setWrapText(true);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setVertical(PHPExcel_Style_Alignment::VERTICAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi,$letraf.$posf)->getAlignment()->setHorizontal(PHPExcel_Style_Alignment::HORIZONTAL_CENTER);
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getBorders()->getOutline()->setBorderStyle(PHPExcel_Style_Border::BORDER_THIN);
			$hojaActiva->setCellValue($letrai.$posi,$valor);
			$hojaActiva->getStyle($letrai.$posi.':'.$letraf.$posf)->getFont()->setBold($negrita)->setSize($tamano);

																
	}
	if (!empty($cmdImprimir)){
		
			//require_once (__ROOT__.'\siga\phpexcel\Classes\PHPExcel\IOFactory.php');
			require_once ('phpexcel/Classes/PHPExcel/IOFactory.php');
                       $objPHPExcel = PHPExcel_IOFactory::load("impresion_alumnos.xls");	

			$hojaActiva=$objPHPExcel->setActiveSheetIndex(0);
			$bd =new dbms('mysql','no');
	    
			$cedula_alumno=$_GET["cedula_alumno"];
			if(empty($cedula_alumno)){
				$cedula_alumno=$cedula_alumno;
			}
			$sql ="SELECT `id_alumno`, 
							CASE `tipo_doc` WHEN 'C' THEN 'Cedula:' 
							WHEN 'P' THEN 'Pasaporte:' END as tipo_doc, `cedula`, `pasaporte`, Case `nacionalidad` when 'V' then 'Venezolano' when 'E' then 'Extranjero' End as nacionalidad , 
							date_format(`fecha_nac`,'%d/%m/%Y') as fecha_nac,date_format(`fecha_nac`,'%Y') as ano, `apellidos`, `nombres`, case `sexo` when 1 then 'Femenino' when 0 then 'Masculino' End as sexo, 
							 case `edo_civil` when 'C' then 'Casado' when 'S' then 'Soltero' End as edo_civil, etnias.`etnia`, discapacidades.`discapacidad`, `organismo`, 
							`dir_calle`, `dir_edificio`, `dir_piso`, 
							`dir_numero`, `dir_sector`, `dir_ciudad`, 
							`dir_estado`, `dir_municipio`, `dir_parroquia`, 
							`ciudad`, estado,`municipio`,`parroquia`,
							`dir_zona`, `dir_vivienda`, `telefono_hab`, 
							`telefono_trab`, `telefono_cel`, `email`, 
							`twitter`, `lugar_nacimiento`, 
							`pais_nacimiento`, `estado_nacimiento`, 
							`municipio_nacimiento`,
							 `parroquia_nacimiento`, `lugar_procedencia`, pais,
							  (select estado from estados where codigo = alumnos.`estado_nacimiento`)as estado_nacimiento,
							  (select municipio from municipios where codigo = alumnos.municipio_nacimiento)as municipio_nacimiento,
							  (select parroquia from parroquias where codigo = alumnos.`parroquia_nacimiento`)as parroquia_nacimiento,
							   (select estado from estados where codigo = alumnos.`estado_procedencia`)as estado_procedencia,
							    (select municipio from municipios where codigo = alumnos.municipio_procedencia)as municipio_procedencia, 
							 `nivel_acad`, `grado_acad`, condicion_res.`CONDICION_RESIDENCIA` as condicion_res, 
							 `privado_lib`, `carrera`, `fecha_ingreso`, 
							 `ultima_inscripcion`, `becado`, `institucion`, 
							 `sede`, `rusnies`, `cuenta_bancaria`  
							 FROM `alumnos` 
							 left join etnias on alumnos.etnia = etnias.codigo 
							 left join discapacidades on alumnos.discapacidad = discapacidades.codigo
							 left join condicion_res on alumnos.condicion_res = condicion_res.codigo
							 left join ciudades on alumnos.dir_ciudad = ciudades.codigo
							 left join estados on alumnos.dir_estado = estados.codigo
							 left join municipios on alumnos.dir_municipio= municipios.codigo
							 left join parroquias on alumnos.dir_parroquia= parroquias.codigo
							 left join paises on alumnos.pais_nacimiento = paises.codigo		
							 WHERE cedula=".$cedula_alumno;
							 
							$bd->EjecutarQuery($sql);
							$data=$bd->DataObjeto();
							//echo  $sql;
							if (($bd->count()) > 0){
								$hojaActiva->setCellValue('A10',$data->tipo_doc." ".$data->cedula);
								//$hojaActiva->setCellValue('C10',utf8_encode();
								$hojaActiva->setCellValue('K10',$data->nacionalidad);
								$hojaActiva->setCellValue('M10',$data->sexo);
								$hojaActiva->setCellValue('N10',$data->edo_civil);
								$hojaActiva->setCellValue('AG10',$data->fecha_nac);
								$hojaActiva->setCellValue('AI10',date("Y")-$data->ano);
								$hojaActiva->setCellValue('A12',$data->apellidos);
								$hojaActiva->setCellValue('M12',$data->nombres);
								$hojaActiva->setCellValue('A14',$data->etnia);
								$hojaActiva->setCellValue('I14',$data->discapacidad);
								$hojaActiva->setCellValue('N14',$data->organismo);
								$hojaActiva->setCellValue('A16',$data->condicion_res);
								$hojaActiva->setCellValue('J16',$data->telefono_hab);
								$hojaActiva->setCellValue('M16',$data->telefono_cel);
								$hojaActiva->setCellValue('O16',$data->telefono_trab);
								$hojaActiva->setCellValue('A18',$data->email);
								$hojaActiva->setCellValue('M18',$data->twitter);
								$hojaActiva->setCellValue('B20',$data->dir_calle);
								$hojaActiva->setCellValue('K20',$data->dir_edificio);
								$hojaActiva->setCellValue('N20',$data->dir_piso);
								$hojaActiva->setCellValue('O20',$data->dir_numero);
								$hojaActiva->setCellValue('AH20',$data->dir_sector);
								$hojaActiva->setCellValue('B24',$data->dir_ciudad);
								$hojaActiva->setCellValue('L24',$data->estado);
								$hojaActiva->setCellValue('O24',$data->municipio);
								$hojaActiva->setCellValue('B26',$data->parroquia);
								$hojaActiva->setCellValue('N26',$data->dir_zona);
								$hojaActiva->setCellValue('AH26',$data->dir_vivienda);
								$hojaActiva->setCellValue('A29',$data->lugar_nacimiento);
								$hojaActiva->setCellValue('K29',$data->pais);
								$hojaActiva->setCellValue('O29',$data->estado_nacimiento);
								$hojaActiva->setCellValue('A31',$data->municipio_nacimiento);
								$hojaActiva->setCellValue('M31',$data->parroquia_nacimiento);
								$hojaActiva->setCellValue('A35',$data->lugar_procedencia);
								$hojaActiva->setCellValue('K35',$data->estado_procedencia);
								$hojaActiva->setCellValue('O35',$data->municipio_procedencia);

 	
							    $sql="SELECT `id_alumno`, `titulo_bachiller`, `nro_titulo`, `annio_egreso`, 
									`nombre_plantel`, `nro_plantel`, `ciudad_plantel`, `sni`
									 FROM datos_bachillerato where id_alumno = ".$data->id_alumno;
								$bd->EjecutarQuery($sql);
								$databachillerato=$bd->DataObjeto();
								if (($bd->count()) > 0){
									$hojaActiva->setCellValue('A38',$databachillerato->titulo_bachiller);
									//Preguntar $hojaActiva->setCellValue('N38',$databachillerato->municipio_procedencia);
									$hojaActiva->setCellValue('A40',$databachillerato->nro_titulo);
									$hojaActiva->setCellValue('J40',$databachillerato->nombre_plantel);
									$hojaActiva->setCellValue('A42',$databachillerato->nro_plantel);
									$hojaActiva->setCellValue('J42',$databachillerato->ciudad_plantel);
									$hojaActiva->setCellValue('N42',$databachillerato->annio_egreso);
									$hojaActiva->setCellValue('AH42',$databachillerato->sni);
								}
								
								$sql="SELECT `documento`, `observaciones`,`status` FROM `documentos_alumno` WHERE id_alumno=".$data->id_alumno." and status=1"; 
								$posinicial = 53;
								$posifinal=53;	
								$bd->EjecutarQuery($sql);
								$datadocumento=$bd->DatosArray();
								if (($bd->count()) > 0){					
									foreach($datadocumento as $clave=>$registro){
										celda1('A',$posinicial,'L',$posifinal,$datadocumento[$clave]['documento'],$hojaActiva,8,false);
										celda1('M',$posinicial,'AO',$posifinal,$datadocumento[$clave]['observaciones'],$hojaActiva,8,false);
										$posinicial=$posifinal+1;
										$posifinal=$posifinal+1;
									}

								}
								$posifinal=$posifinal+5;
								celda('A',$posinicial,'J',$posifinal,"",$hojaActiva,8,false);
								celda('K',$posinicial,'N',$posifinal,"",$hojaActiva,8,false);
								$posifinal=$posifinal-5;
								$posifinal=$posifinal+3;
								
								celda('O',$posinicial,'AO',$posifinal,"Sello",$hojaActiva,8,false);
								$posinicial=$posifinal+1;
								$posifinal=$posifinal+2;
								celda('O',$posinicial,'AO',$posifinal,"__/__/____",$hojaActiva,8,false);		
								$posinicial=$posifinal+1;
								$posifinal=$posifinal+1;
								celda1('A',$posinicial,'J',$posifinal,"47. Firma del Estudiante",$hojaActiva,8,false);		
								celda1('K',$posinicial,'N',$posifinal,"48. Firma del Estudiante",$hojaActiva,8,false);		
								celda1('O',$posinicial,'AO',$posifinal,"49. Firma del Funcionario Receptor",$hojaActiva,8,false);		
								$posinicial=$posifinal+1;
								$posifinal=$posifinal+1;
								celda1('A',$posinicial,'AO',$posifinal,"FORMATO: ENAHP-CE-0001-2012",$hojaActiva,8,false);		


						   } 
									
							 
							 
							 
							 
			//ob_get_flush();
				ob_end_clean();
    
    
    
					// Redirect output to a clients web browser (Excel5)
					header('Content-Type: application/vnd.ms-excel;charset=utf-8');
					header('Content-Disposition: attachment;filename="Registro Alumnos.xls"');
					header('Cache-Control: max-age=0');

					$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
					///$objWriter->save('./pdf_files/ICR_'.$mes.'-'.$ano.'.xls');
					$objWriter->save('php://output');
	}else{	

		$ClsGeneradorHtml=new ClsGeneradorHtml("","");
		$forma= $ClsGeneradorHtml->Pagina_Top("Registro de Información del Alumno","",$script);
		echo $forma;
		echo $ClsGeneradorHtml->Pagina_Inicio_Body();
		 echo "<FORM  method='POST' name='frmcerrar' target='_self' title='Cerrar'>
					<center>
						 <INPUT TYPE='SUBMIT'  name='cmdImprimir' value='Imprimir' align='middle'   title='Generar' >
						<INPUT TYPE='SUBMIT'   name='cmdCerrar' value='Cerrar' align='middle'  onClick='window.close();' title='Cerrar' >
			  </center>
			 </FORM>";	
		echo $ClsGeneradorHtml->Pagina_Fin_Body();
		echo $ClsGeneradorHtml->Pagina_Fin_Html();
		

	}		
?>
